openSUSE Security Update : libressl (openSUSE-2018-950)

Low Nessus Plugin ID 112264

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libressl to version 2.8.0 fixes the following issues :

Security issues fixed :

- CVE-2018-12434: Avoid a timing side-channel leak when generating DSA and ECDSA signatures. (boo#1097779)

- Reject excessively large primes in DH key generation.

Other bugs fixed :

- Fixed a pair of 20+ year-old bugs in X509_NAME_add_entry.

- Tighten up checks for various X509_VERIFY_PARAM functions, 'poisoning' parameters so that an unverified certificate cannot be used if it fails verification.

- Fixed a potential memory leak on failure in ASN1_item_digest.

- Fixed a potential memory alignment crash in asn1_item_combine_free.

- Removed unused SSL3_FLAGS_DELAY_CLIENT_FINISHED and SSL3_FLAGS_POP_BUFFER flags in write path, simplifying IO paths.

- Removed SSL_OP_TLS_ROLLBACK_BUG buggy client workarounds.

- Added const annotations to many existing APIs from OpenSSL, making interoperability easier for downstream applications.

- Added a missing bounds check in c2i_ASN1_BIT_STRING.

- Removed three remaining single DES cipher suites.

- Fixed a potential leak/incorrect return value in DSA signature generation.

- Added a blinding value when generating DSA and ECDSA signatures, in order to reduce the possibility of a side-channel attack leaking the private key.

- Added ECC constant time scalar multiplication support.

- Revised the implementation of RSASSA-PKCS1-v1_5 to match the specification in RFC 8017.

Solution

Update the affected libressl packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1097779

Plugin Details

Severity: Low

ID: 112264

File Name: openSUSE-2018-950.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/09/04

Modified: 2018/09/04

Dependencies: 12634

Risk Information

Risk Factor: Low

CVSS v2.0

Base Score: 1.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:P/I:N/A:N

CVSS v3.0

Base Score: 4.7

Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libcrypto43, p-cpe:/a:novell:opensuse:libcrypto43-32bit, p-cpe:/a:novell:opensuse:libcrypto43-32bit-debuginfo, p-cpe:/a:novell:opensuse:libcrypto43-debuginfo, p-cpe:/a:novell:opensuse:libressl, p-cpe:/a:novell:opensuse:libressl-debuginfo, p-cpe:/a:novell:opensuse:libressl-debugsource, p-cpe:/a:novell:opensuse:libressl-devel, p-cpe:/a:novell:opensuse:libressl-devel-32bit, p-cpe:/a:novell:opensuse:libssl45, p-cpe:/a:novell:opensuse:libssl45-32bit, p-cpe:/a:novell:opensuse:libssl45-32bit-debuginfo, p-cpe:/a:novell:opensuse:libssl45-debuginfo, p-cpe:/a:novell:opensuse:libtls17, p-cpe:/a:novell:opensuse:libtls17-32bit, p-cpe:/a:novell:opensuse:libtls17-32bit-debuginfo, p-cpe:/a:novell:opensuse:libtls17-debuginfo, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/09/03

Reference Information

CVE: CVE-2018-12434